import * as Game from './game.js';
var GAME_MENU;
var PLAYERS_SCORE = [];
var TIMER_ELEMENT;
export function init() {
    GAME_MENU = document.getElementById('GameMenu');
    PLAYERS_SCORE[0] = document.getElementById('GameMenu-Player1-Score');
    PLAYERS_SCORE[1] = document.getElementById('GameMenu-Player2-Score');
    TIMER_ELEMENT = document.getElementById('GameMenu-Timer');
    var pauseResume = document.getElementById('GameMenu-PauseResume');
    pauseResume.onclick = function () {
        togglePause(pauseResume);
    };
    var quit = document.getElementById('GameMenu-Quit');
    quit.onclick = function () {
        if (Game.isGameOver()) {
            return;
        }
        Game.quit();
    };
}
export function show(twoPlayerMode) {
    var playerTwoScore = PLAYERS_SCORE[1].parentElement;
    if (twoPlayerMode) {
        playerTwoScore.classList.remove('hidden');
    }
    else {
        playerTwoScore.classList.add('hidden');
    }
    GAME_MENU.classList.remove('hidden');
}
export function clear() {
    const pauseResume = document.getElementById('GameMenu-PauseResume');
    pauseResume.innerText = 'Pause';
    GAME_MENU.classList.add('hidden');
}
export function updateScore(playerPosition, score) {
    PLAYERS_SCORE[playerPosition].innerHTML = score.toString();
}
export function updateTimer(time) {
    TIMER_ELEMENT.innerText = time;
}
function togglePause(htmlElement) {
    if (Game.isGameOver()) {
        return;
    }
    const paused = !Game.isPaused();
    if (paused) {
        htmlElement.innerText = 'Resume';
    }
    else {
        htmlElement.innerText = 'Pause';
    }
    Game.pauseResume(paused);
}
