const ASSETS = {
    orange: './images/orange_10px.png',
    apple: './images/red_apple_10px.png',
    banana: './images/banana_10px.png'
};
;
const LOADED = {};
export function init(onComplete) {
    const keys = Object.keys(ASSETS);
    const total = keys.length;
    let count = 0;
    for (let a = 0; a < total; a++) {
        const key = keys[a];
        const value = ASSETS[key];
        const image = new Image();
        const url = new URL(value, location.href);
        image.src = url.href;
        image.onload = () => {
            LOADED[key] = image;
            count++;
            if (count >= total) {
                onComplete();
            }
        };
    }
}
export function getAsset(name) {
    return LOADED[name];
}
