export const EVENT_KEY = {
    backspace: 8,
    tab: 9,
    enter: 13,
    esc: 27,
    space: 32,
    end: 35,
    home: 36,
    leftArrow: 37,
    upArrow: 38,
    rightArrow: 39,
    downArrow: 40,
    del: 46,
    "0": 48,
    "1": 49,
    "2": 50,
    "3": 51,
    "4": 52,
    "5": 53,
    "6": 54,
    "7": 55,
    "8": 56,
    "9": 57,
    a: 65,
    b: 66,
    c: 67,
    d: 68,
    e: 69,
    f: 70,
    g: 71,
    h: 72,
    i: 73,
    j: 74,
    k: 75,
    l: 76,
    m: 77,
    n: 78,
    o: 79,
    p: 80,
    q: 81,
    r: 82,
    s: 83,
    t: 84,
    u: 85,
    v: 86,
    w: 87,
    x: 88,
    y: 89,
    z: 90,
    f1: 112,
    f2: 113,
    f3: 114,
    f4: 115,
    f5: 116,
    f6: 117,
    f7: 118,
    f8: 119,
    f9: 120,
    f10: 121,
    f11: 122,
    f12: 123
};
export function isNextTo(x, y, targetX, targetY, range) {
    var boxLeft = targetX - range / 2;
    var boxRight = targetX + range / 2;
    var boxTop = targetY - range / 2;
    var boxBottom = targetY + range / 2;
    if (x >= boxLeft && x <= boxRight && y >= boxTop && y <= boxBottom) {
        return true;
    }
    else {
        return false;
    }
}
export function checkCollision(oneX, oneY, oneWidth, oneHeight, twoX, twoY, twoWidth, twoHeight) {
    var oneLeft = oneX - oneWidth / 2;
    var oneRight = oneX + oneWidth / 2;
    var oneTop = oneY - oneHeight / 2;
    var oneBottom = oneY + oneHeight / 2;
    var twoLeft = twoX - twoWidth / 2;
    var twoRight = twoX + twoWidth / 2;
    var twoTop = twoY - twoHeight / 2;
    var twoBottom = twoY + twoHeight / 2;
    if (oneRight >= twoLeft && oneLeft <= twoRight && oneTop <= twoBottom && oneBottom >= twoTop) {
        return true;
    }
    return false;
}
export function getRandomInt(min, max) {
    return Math.floor(Math.random() * (max - min + 1)) + min;
}
export function getRandomFloat(min, max) {
    return Math.random() * (max - min) + min;
}
export function checkOverflowPosition(x_or_y, limit) {
    if (x_or_y < 0) {
        x_or_y = limit - -x_or_y;
    }
    else if (x_or_y > limit) {
        x_or_y -= limit;
    }
    return x_or_y;
}
export function boolToOnOff(value) {
    if (value == true) {
        return 'On';
    }
    else {
        return 'Off';
    }
}
export function joinAndCapitalize(words) {
    let result = '';
    for (let a = 0; a < words.length; a++) {
        const word = words[a];
        const capitalized = capitalize(word);
        result += capitalized;
        if (a < words.length - 1) {
            result += ' ';
        }
    }
    return result;
}
export function splitCamelCaseWords(text) {
    const words = [];
    let start = 0;
    for (let a = 0; a < text.length; a++) {
        const letter = text[a];
        if (!isNumber(letter) && letter === letter.toUpperCase()) {
            const word = text.slice(start, a);
            words.push(word);
            start = a;
        }
    }
    words.push(text.slice(start));
    return words;
}
export function isNumber(char) {
    return !isNaN(parseInt(char, 10));
}
export function capitalize(word) {
    return word.charAt(0).toUpperCase() + word.slice(1);
}
export function timeToString(time) {
    return (time / 1000).toFixed(1);
}
