import * as AppStorage from './app_storage.js';
const OPTIONS = {
    columns: 60,
    lines: 40,
    frameOn: false,
    wallInterval: 4000,
    appleInterval: 1000,
    orangeInterval: 5000,
    bananaInterval: 4000,
    snakeSpeed: 20
};
export function load(options) {
    if (options) {
        if (Number.isInteger(options.columns)) {
            OPTIONS.columns = options.columns;
        }
        if (Number.isInteger(options.lines)) {
            OPTIONS.lines = options.lines;
        }
        if (typeof options.frameOn === 'boolean') {
            OPTIONS.frameOn = options.frameOn;
        }
        if (Number.isInteger(options.wallInterval)) {
            OPTIONS.wallInterval = options.wallInterval;
        }
        if (Number.isInteger(options.appleInterval)) {
            OPTIONS.appleInterval = options.appleInterval;
        }
        if (Number.isInteger(options.orangeInterval)) {
            OPTIONS.orangeInterval = options.orangeInterval;
        }
        if (Number.isInteger(options.bananaInterval)) {
            OPTIONS.bananaInterval = options.bananaInterval;
        }
        if (Number.isInteger(options.snakeSpeed)) {
            OPTIONS.snakeSpeed = options.snakeSpeed;
        }
    }
}
export function save() {
    AppStorage.setData({ snake_options: OPTIONS });
}
export function get(option) {
    return OPTIONS[option];
}
export function set(option, value) {
    OPTIONS[option] = value;
}
export function clone() {
    return Object.assign({}, OPTIONS);
}
